Bug 1128478 - [abrt] xfwm4: _XGetWindowAttributes(): xfwm4 killed by SIGABRT
Summary: [abrt] xfwm4: _XGetWindowAttributes(): xfwm4 killed by SIGABRT
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xfwm4
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:4479de7cbd0a38ae4823b1a5bba...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-10 18:51 UTC by shahnavaz
Modified: 2015-06-30 01:07 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-30 01:07:05 UTC


Attachments (Terms of Use)
File: backtrace (22.53 KB, text/plain)
2014-08-10 18:51 UTC, shahnavaz
no flags Details
File: cgroup (180 bytes, text/plain)
2014-08-10 18:51 UTC, shahnavaz
no flags Details
File: core_backtrace (5.51 KB, text/plain)
2014-08-10 18:51 UTC, shahnavaz
no flags Details
File: dso_list (7.36 KB, text/plain)
2014-08-10 18:51 UTC, shahnavaz
no flags Details
File: environ (1.57 KB, text/plain)
2014-08-10 18:51 UTC, shahnavaz
no flags Details
File: limits (1.29 KB, text/plain)
2014-08-10 18:51 UTC, shahnavaz
no flags Details
File: maps (39.73 KB, text/plain)
2014-08-10 18:51 UTC, shahnavaz
no flags Details
File: proc_pid_status (940 bytes, text/plain)
2014-08-10 18:51 UTC, shahnavaz
no flags Details
File: var_log_messages (1.08 KB, text/plain)
2014-08-10 18:51 UTC, shahnavaz
no flags Details

Description shahnavaz 2014-08-10 18:51:14 UTC
Version-Release number of selected component:
xfwm4-4.10.1-2.fc20

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        xfwm4 --display :0.0 --sm-client-id 2f07cc29f-72ca-4e95-a3c7-976eec267bde
crash_function: _XGetWindowAttributes
executable:     /usr/bin/xfwm4
kernel:         3.15.8-200.fc20.x86_64
open_fds:       
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #6 _XGetWindowAttributes at GetWAttrs.c:114
 #7 XGetWindowAttributes at GetWAttrs.c:149
 #8 myDisplayGetRootFromWindow at display.c:601
 #9 myDisplayGetScreenFromWindow at display.c:617
 #10 handleUnmapNotify at events.c:1207
 #11 handleEvent at events.c:2259
 #12 xfwm4_event_filter at events.c:2345
 #13 eventXfwmFilter at event_filter.c:158
 #14 gdk_event_apply_filters at gdkevents-x11.c:356
 #15 gdk_event_translate at gdkevents-x11.c:946

Comment 1 shahnavaz 2014-08-10 18:51:15 UTC
Created attachment 925558 [details]
File: backtrace

Comment 2 shahnavaz 2014-08-10 18:51:16 UTC
Created attachment 925559 [details]
File: cgroup

Comment 3 shahnavaz 2014-08-10 18:51:16 UTC
Created attachment 925560 [details]
File: core_backtrace

Comment 4 shahnavaz 2014-08-10 18:51:17 UTC
Created attachment 925561 [details]
File: dso_list

Comment 5 shahnavaz 2014-08-10 18:51:17 UTC
Created attachment 925562 [details]
File: environ

Comment 6 shahnavaz 2014-08-10 18:51:18 UTC
Created attachment 925563 [details]
File: limits

Comment 7 shahnavaz 2014-08-10 18:51:18 UTC
Created attachment 925564 [details]
File: maps

Comment 8 shahnavaz 2014-08-10 18:51:19 UTC
Created attachment 925565 [details]
File: proc_pid_status

Comment 9 shahnavaz 2014-08-10 18:51:20 UTC
Created attachment 925566 [details]
File: var_log_messages

Comment 10 Kevin Fenzi 2014-08-11 02:51:03 UTC
What were you doing when this happened?

Can you duplicate it?

Comment 11 shahnavaz 2014-08-11 04:39:32 UTC
Ran "killall xfdesktop" when this error occurred. I cant reproduce it again. The reason i ran killall is because when my xwindows startup in xfce the icons on desktop appears twice with big size. I have to run "killall" to refresh the desktop.

Comment 12 Fedora End Of Life 2015-05-29 12:36:12 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 13 Fedora End Of Life 2015-06-30 01:07:05 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.